Subject: [Geopriv] Geopriv LbyR DHCP Option ID revved

From: "James M. Polk" <[email-masked]>
Date: Wed, 21 Nov 2007 16:05:36 -0600

I revised the LbyR ID for this meeting, here
http://www.ietf.org/internet-drafts/draft-polk-geopriv-dhcp-lbyr-uri-option-02.txt

I made the following change

- I added a "Valid-for" timer, in seconds, for how long a holder of 
this URI should considering this URI valid.  In DHCP, I advise the 
client to refresh this information prior to it timing out

- I have limited URIs to not include data-URLs, since they can have 
scripts, and limited client handling of this URI to not send it to a 
general purpose browser, since that can go to a web page that has scripts.
	- I am working with Lisa Dussreault (APPS AD) to further limit URI types

I did not include a backend architecture, which was James 
Winterbottom's request in Chicago. This is mainly because this is a 
DHCP Option draft, and any backend system will not communicate using DHCP.

Comments are welcome and encouraged

James

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv